| Flutter Linux Embedder |

Functions | Variables
fl_compositor_opengl.h File Reference
`#include <gtk/gtk.h>`
`#include "flutter/shell/platform/embedder/embedder.h"`
`#include "flutter/shell/platform/linux/fl_compositor.h"`
`#include "flutter/shell/platform/linux/fl_framebuffer.h"`
`#include "flutter/shell/platform/linux/fl_opengl_manager.h"`
`#include "flutter/shell/platform/linux/fl_task_runner.h"`

Go to the source code of this file.

## Functions
G_BEGIN_DECLS | G_DECLARE_FINAL_TYPE (FlCompositorOpenGL, fl_compositor_opengl, FL, COMPOSITOR_OPENGL, FlCompositor) FlCompositorOpenGL *fl_compositor_opengl_new(FlTaskRunner *task_runner
void | fl_compositor_opengl_render (FlCompositorOpenGL *compositor, size_t width, size_t height)

## Variables
G_BEGIN_DECLS FlOpenGLManager * | opengl_manager
G_BEGIN_DECLS FlOpenGLManager gboolean | shareable

## Function Documentation

## ◆ fl_compositor_opengl_render()

void fl_compositor_opengl_render | ( | FlCompositorOpenGL * | compositor,
|  | size_t | width,
|  | size_t | height
| ) |  |

fl_compositor_opengl_render: @compositor: an #FlCompositorOpenGL. @width: output width in pixels. @height: output height in pixels.

Renders the current frame.

## ◆ G_DECLARE_FINAL_TYPE()

G_BEGIN_DECLS G_DECLARE_FINAL_TYPE | ( | FlCompositorOpenGL | ,
|  | fl_compositor_opengl | ,
|  | FL | ,
|  | COMPOSITOR_OPENGL | ,
|  | FlCompositor |
| ) |  |

FlCompositorOpenGL:

#FlCompositorOpenGL is class that implements compositing using OpenGL. fl_compositor_opengl_new: @task_runner: an #FlTaskRunnner. @opengl_manager: an #FlOpenGLManager @shareable: TRUE if the can use a framebuffer that is shared between contexts.

Creates a new OpenGL compositor.

Returns: a new #FlCompositorOpenGL.

## Variable Documentation

## ◆ opengl_manager

G_BEGIN_DECLS FlOpenGLManager* opengl_manager

Definition at line 42 of file fl_compositor_opengl.h.

Referenced by fl_compositor_opengl_new(), and TEST().

## ◆ shareable

G_BEGIN_DECLS FlOpenGLManager gboolean shareable

Definition at line 43 of file fl_compositor_opengl.h.

Referenced by fl_compositor_opengl_new(), fl_framebuffer_new(), and setup_opengl().